%=======================================================================
%To solve optimization problem:
%Create a new subfolder in ...\PSG\MATLAB:
%..\PSG\MATLAB\problem_DEA_Max_Risk3
%Download and unpack the following zipped file from 'Data' to the created folder:
%'Mat_data_problem_DEA_Max_Risk3.zip'
%Run program 'problem_DEA_Max_Risk3.m'
%=======================================================================

clc;
clear;
addpath('..');

%Load data:
load('.\problem_DEA_Max_Risk3_data.mat')

%Solve optimization problems:
[xout, fval, status, output] = riskconstrprog([], 'max_risk', [], [], [], [], [], H2, c2, [], d, r, [], [], Aeq, beq, lb, ub, [], stroptions);

%Display results:
disp(' ');
disp('Results: ');
%Display status of optimization problem:
disp(sprintf('status of optimization problem = %s', status));
%Display solving time:
disp(sprintf('solving time = %g', output.solving_time));
%Display objective:
disp(sprintf('objective = %g', fval));
%Display functions:
disp(sprintf(' linear  = %g', output.fdval));
disp(sprintf('max_risk = %g', output.frval2));
%Display left hand sides of linear equality:
disp(sprintf('linear equality = %g', output.fAeqval));
%Display residual of linear equality:
disp(sprintf('residual of linear equality = %g', output.rAeqval));
%Display optimal point:
disp('optimal point = ');
disp(xout);
